20after4 has submitted this change and it was merged.
Change subject: check for dblist to validate arguments,
......................................................................
check for dblist to validate arguments,
Also, set commit message unconditionally since we test it later
and any edits to the message cause the test to fail.
Change-Id: I55dfd941182c3df403c13ff1477a2d708eb1b1eb
---
M bin/deploy-promote
1 file changed, 6 insertions(+), 1 deletion(-)
Approvals:
jenkins-bot: Verified
diff --git a/bin/deploy-promote b/bin/deploy-promote
index bfea897..33e09b1 100755
--- a/bin/deploy-promote
+++ b/bin/deploy-promote
@@ -35,6 +35,11 @@
NEWVERSION=`/srv/mediawiki-staging/multiversion/activeMWVersions|cut -d " "
-f2`
GRP=${1:-group1}
export VERSION=${2:-$NEWVERSION}
+DBLIST="/srv/mediawiki-staging/$GRP.dblist"
+if [ ! -f "$DBLIST" ]; then
+ echo "$DBLIST does not exist"
+ exit 1
+fi
read -p "Promote $GRP from ${OLDVERSION} to ${VERSION}? Enter to continue,
ctl-c cancel: "
/srv/mediawiki-staging/multiversion/updateWikiversions $GRP php-${VERSION}
@@ -44,7 +49,7 @@
git add php
MSG="$GRP wikis to ${VERSION}"
-NOLOGMSG=1 git commit -m "$MSG" -e
+git commit -m "$MSG"
git push gerrit HEAD:refs/for/master/${VERSION}
--
To view, visit https://gerrit.wikimedia.org/r/224636
To unsubscribe, visit https://gerrit.wikimedia.org/r/settings
Gerrit-MessageType: merged
Gerrit-Change-Id: I55dfd941182c3df403c13ff1477a2d708eb1b1eb
Gerrit-PatchSet: 1
Gerrit-Project: mediawiki/tools/release
Gerrit-Branch: master
Gerrit-Owner: 20after4 <[email protected]>
Gerrit-Reviewer: Chad <[email protected]>
Gerrit-Reviewer: Thcipriani <[email protected]>
Gerrit-Reviewer: jenkins-bot <>
_______________________________________________
MediaWiki-commits mailing list
[email protected]
https://lists.wikimedia.org/mailman/listinfo/mediawiki-commits